# Bootstrap for google.golang.org/api
%bcond_with bootstrap
# Run tests in check section
%bcond_without check

%global goipath         go.opencensus.io
%global forgeurl        https://github.com/census-instrumentation/opencensus-go
Version:                0.20.2

%global common_description %{expand:
OpenCensus Go is a Go implementation of OpenCensus, a toolkit for collecting
application performance and behavior monitoring data. Currently it consists
of three major components: tags, stats, and tracing.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        A stats collection and distributed tracing framework
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/apache/thrift/lib/go/thrift)
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/hashicorp/golang-lru/simplelru)
BuildRequires:  golang(github.com/openzipkin/zipkin-go)
BuildRequires:  golang(github.com/openzipkin/zipkin-go/model)
BuildRequires:  golang(github.com/openzipkin/zipkin-go/reporter)
BuildRequires:  golang(github.com/openzipkin/zipkin-go/reporter/http)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus/promhttp)
BuildRequires:  golang(golang.org/x/net/context)

%if %{without bootstrap}
BuildRequires: golang(google.golang.org/api/support/bundler)
BuildRequires: golang(google.golang.org/grpc/status)
%endif
BuildRequires: golang(google.golang.org/grpc)
BuildRequires: golang(google.golang.org/grpc/codes)
BuildRequires: golang(google.golang.org/grpc/grpclog)
BuildRequires: golang(google.golang.org/grpc/metadata)
BuildRequires: golang(google.golang.org/grpc/stats)
%if %{with check}
BuildRequires:  golang(github.com/google/go-cmp/cmp)
BuildRequires:  golang(github.com/google/go-cmp/cmp/cmpopts)
BuildRequires:  golang(golang.org/x/net/http2)
%endif

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{summary}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup

%if %{with bootstrap}
grep --include=\*.go -lrnw . -e "google.golang.org/api/support/bundler" | xargs rm
grep --include=\*.go -lrnw . -e "google.golang.org/grpc/status" | xargs rm
%endif


%install
%goinstall "trace/trace_go11.go"


%if %{with check}
%check
# Fails on i686, armv7hl
%gochecks -d zpages
%endif



%files devel -f devel.file-list
%license LICENSE
%doc README.md CONTRIBUTING.md AUTHORS


%changelog
* Thu Apr 11 11:07:55 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.20.2-1
- Release 0.20.2 (#1697613)

* Tue Apr 02 16:19:50 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.20.0-1
- Release 0.20.0 (#1694917)

* Sun Mar 24 17:09:39 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.19.2-1
- Release 0.19.2 (#1691588)

* Sun Mar 17 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.19.1-1
- Release 0.19.1 (#1689452)

* Sat Mar 09 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.19.0-2
- Unbootstrap

* Mon Feb 25 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.19.0-1
- Release 0.19.0

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Nov 12 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.18.0-1
- Release 0.18.0

* Tue Jul 17 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.14.0-1
- Bump to 0.14.0

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 28 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.13.0-1
- Bump to 0.13.0

* Mon Apr 23 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-3
- Unbootstrap

* Thu Mar 22 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-2
- Fix bootstrap

* Thu Mar 22 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.0-1
- First package for Fedora

